import React from 'react';
import { render } from 'react-dom';
import ChatBot from 'react-simple-chatbot';


render(<ChatBot
  steps={[
    {
      id: '1',
      message: 'Hi there!',
      trigger: '2',
    },
    {
      id: '2',
      message: 'Is there anything we can help with? Messaging Guides are standing by.',
      trigger: '3',
    },
    {
      id: "3",
      options: [
        { 
          value: "40", 
          label: "Start Chatting", 
          trigger: "5" ,
        },
      ]
    },
    {
      id: '5',
      message: 'Hello! We are one step closer to connecting you and a guide. Please tell us your name to get started:',
      trigger: '6',
    },
    {
      id: '6',
      user: true,
      trigger: '7',
    },
    {
      id: '7',
      message: 'Nice to meet you! {previousValue}',
      trigger: '8',
    },
    {
      id: '8',
      message: 'For a faster resolution, please select a question below.',
      trigger: '9',
    },
    {
      id: "9",
      options: [
        { 
          value: "Q1", 
          label: "What is Component-A of PM-KUSUM Scheme?", 
          trigger: "Q1R" },
        {
          value: "Q2",
          label: "Who is eligible under Component-A of PM-KUSUM Scheme?",
          trigger: "Q2R",
        },
        { 
          value: "Q3", 
          label: "Who will purchase the generated electricity?", 
          trigger: "Q3R",
        }
      ]
    },
    {
      id: 'Q1R',
      message: 'Under this component, solar or other renewable energy based power plants of capacity 500 kW to 2 MW can be installed on barren or uncultivable agriculture land mainly. Agriculture land is also permitted under this scheme provided that solar plants are installed in slit fashion (i.e. raised structure for installation of solar panels) and with adequate spacing between panel rows for ensuring that farming activity is not affected.',
      trigger: "11",
    },
    {
      id: 'Q2R',
      message: 'Individual farmers/ group of farmers/ cooperatives/panchayats/ Farmer Producer Organisations (FPO)/Water User associations (WUA). Land on which the project is proposed to be installed should be within 5 km from the nearest electricity sub-station.',
      trigger: "11",
    },
    {
      id: 'Q3R',
      message: 'Power generated will be purchased by the local electricity distribution companies (Discoms)',
      trigger: "11",
    },
    {
      id: "11",
      options: [
        { 
          value: "back", 
          label: "Go Back", 
          trigger: "9" },
        {
          value: "contact",
          label: "Contact us",
          trigger: "12",
        },
      ]
    },
    {
      id: '12',
      message: 'E-mail: something@gmail.com Phone No. 9898989898',
      end: true,
    }
  ]}
/>
,document.getElementById('root'));
